Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Protected Member Functions
Argus::Event Class Reference

An Event represents an asynchronous result. More...

`#include <Event.h>`

Inheritance diagram for Argus::Event:

List of all members.

## Protected Member Functions

| ~Event ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()

## Additional Inherited Members

Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.

## Detailed Description

An Event represents an asynchronous result.

Every Event will have a single EventType and will expose one or more interfaces, with the core IEvent interface being mandatory.

Definition at line 41 of file Event.h.

## Constructor & Destructor Documentation

Argus::Event::~Event | ( |  | ) |

inlineprotected

Definition at line 44 of file Event.h.

The documentation for this class was generated from the following file:

- include/Argus/Event.h